org.jfree.chart.axis

## Class DateTick

- java.lang.Object
- - org.jfree.chart.axis.Tick
  - - org.jfree.chart.axis.ValueTick
    - - org.jfree.chart.axis.DateTick

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class DateTick
    extends ValueTick

A tick used by the `DateAxis` class.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`DateTick(java.util.Date date, java.lang.String label, org.jfree.ui.TextAnchor textAnchor, org.jfree.ui.TextAnchor rotationAnchor, double angle)` Creates a new date tick.
`DateTick(TickType tickType, java.util.Date date, java.lang.String label, org.jfree.ui.TextAnchor textAnchor, org.jfree.ui.TextAnchor rotationAnchor, double angle)` Creates a new date tick.

### Method Summary

Methods
`boolean` `equals(java.lang.Object obj)` Tests this tick for equality with an arbitrary object.
`java.util.Date` `getDate()` Returns the date.
`int` `hashCode()` Returns a hash code for this object.

### Methods inherited from class org.jfree.chart.axis.ValueTick

`getTickType, getValue`

### Methods inherited from class org.jfree.chart.axis.Tick

`clone, getAngle, getRotationAnchor, getText, getTextAnchor, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DateTick

    public DateTick(java.util.Date date,
            java.lang.String label,
            org.jfree.ui.TextAnchor textAnchor,
            org.jfree.ui.TextAnchor rotationAnchor,
            double angle)

Creates a new date tick.

Parameters:
  `date` - the date.
  `label` - the label.
  `textAnchor` - the part of the label that is aligned to the anchor point.
  `rotationAnchor` - defines the rotation point relative to the text.
  `angle` - the rotation angle (in radians).

#### DateTick

    public DateTick(TickType tickType,
            java.util.Date date,
            java.lang.String label,
            org.jfree.ui.TextAnchor textAnchor,
            org.jfree.ui.TextAnchor rotationAnchor,
            double angle)

Creates a new date tick.

Parameters:
  `tickType` - the tick type.
  `date` - the date.
  `label` - the label.
  `textAnchor` - the part of the label that is aligned to the anchor point.
  `rotationAnchor` - defines the rotation point relative to the text.
  `angle` - the rotation angle (in radians).
Since:
  1.0.12

### Method Detail

#### getDate

    public java.util.Date getDate()

Returns the date.

Returns:
  The date.

#### equals

    public boolean equals(java.lang.Object obj)

Tests this tick for equality with an arbitrary object.

Overrides:
  `equals` in class `ValueTick`
Parameters:
  `obj` - the object to test (`null` permitted).
Returns:
  A boolean.

#### hashCode

    public int hashCode()

Returns a hash code for this object.

Overrides:
  `hashCode` in class `java.lang.Object`
Returns:
  A hash code.